int firstSensor = 0;    // first  sensor
int secondSensor = 0;   // second  sensor

int inByte = 0;         // incoming serial byte

void setup()
{
  // start serial port at 9600 bps and wait for port to open:
  Serial.begin(9600);

  pinMode(2, INPUT);   // digital sensor is on digital pin 2
  establishContact();  // send a byte to establish contact until receiver responds
}

void loop()
{
  // if we get a valid byte, read analog ins:
  if (Serial.available() > 0) {
    // get incoming byte:
    inByte = Serial.read();
    // read first analog input:
    firstSensor = analogRead(A0);
    // read  switch, map it to 0 or 255L
    secondSensor = map(digitalRead(2), 0, 1, 0, 255);
    // send sensor values:
    Serial.print(firstSensor);
    Serial.print(",");
    Serial.println(secondSensor);
  }
}

void establishContact() {
  while (Serial.available() <= 0) {
    Serial.println("0,0");   // send an initial string
    delay(300);
  }
}
